Bug 146955 - PORTS: new port devel/geany-plugins
Summary: PORTS: new port devel/geany-plugins
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-25 08:10 UTC by Aldis Berjoza
Modified: 2010-09-01 15:40 UTC (History)
0 users

See Also:


Attachments
file.shar (6.44 KB, text/plain)
2010-05-25 08:10 UTC, Aldis Berjoza
no flags Details
patch.diff.txt (4.42 KB, text/plain)
2010-05-25 14:57 UTC, Aldis Berjoza
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aldis Berjoza 2010-05-25 08:10:03 UTC
I created port for geany plugins
http://plugins.geany.org/geany-plugins/


port use waf to configure and compile plugins because
./configure was pretty buggy

Unfortunately I couldn't compile lua with waf, because it needs gnome-config, which is not available. For this reason i set IGNORE if lua is selected.

While I could use ./configure, which later expl helped me to fix (a big) and install lua, I still prefer using waf, because at least it doesn't generate weird errors

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-05-25 08:10:31 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Aldis Berjoza 2010-05-25 14:57:11 UTC
I contacted geany developers and finally I fixed issue with lua plugin

Attached patch for new port version


Aldis Berjoza
-- 
BSDroot.lv --> coming soon
Comment 3 Aldis Berjoza 2010-05-26 00:10:22 UTC
Sorry about patch mess

anyway here is link to pastebim with patch
http://pastebin.com/67V1cwpK


Aldis Berjoza
-- 
BSDroot.lv --> coming soon
Comment 4 Pav Lucistnik freebsd_committer 2010-08-26 16:32:01 UTC
Wouldn't it be better to enable all plugins by default, so the package 
(built with default options) is fully useful?

-- 
Pav Lucistnik <pav@oook.cz>
               <pav@FreeBSD.org>
Comment 5 Aldis Berjoza 2010-08-26 16:41:00 UTC
On Thu, 26 Aug 2010 18:32:01 +0300, Pav Lucistnik <pav@freebsd.org> wrote:

> Wouldn't it be better to enable all plugins by default, so the package  
> (built with default options) is fully useful?
>
Personally I don't care, but yes, I agree with you.

A little background info:
Maintainer of Geany contacted me... It turned out he's Latvian as well :)

After some conversation we decided, that when he will update geany port to  
latest version I will update geany plugins to same version, and pass  
maintainership to him, since I don't really care about geany... I don't  
use it.. (I made this port, when I was testing geany). My favourite editor  
is vim.

Currently Andris Raugulis (maintainer of geany) don't have access to  
FreeBSD, because his motherboard died.

-- 
Aldis Berjoza
Comment 6 Pav Lucistnik freebsd_committer 2010-08-26 16:44:24 UTC
Ah so I guess I can't ask you to update it to 0.19.x first, I suppose.


-- 
Pav Lucistnik <pav@oook.cz>
               <pav@FreeBSD.org>
Comment 7 Pav Lucistnik freebsd_committer 2010-08-26 16:44:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Take
Comment 8 Pav Lucistnik freebsd_committer 2010-09-01 15:35:54 UTC
State Changed
From-To: open->closed

New port added, thank you!
Comment 9 dfilter service freebsd_committer 2010-09-01 15:36:20 UTC
pav         2010-09-01 14:36:07 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/geany-plugins  Makefile distinfo pkg-descr 
    devel/geany-plugins/files patch-wscript 
  Log:
  Geany is a small and lightweight integrated development environment. It was
  developed to provide a small and fast IDE, which has only a few dependencies
  on other packages. Another goal was to be as independent as possible from a
  special Desktop Environment like KDE or GNOME.
  
  This port contains plugins for geany
  
  WWW: http://plugins.geany.org/
  
  PR:             ports/146955
  Submitted by:   Aldis Berjoza <aldis@bsdroot.lv>
  
  Revision  Changes    Path
  1.4027    +1 -0      ports/devel/Makefile
  1.1       +199 -0    ports/devel/geany-plugins/Makefile (new)
  1.1       +3 -0      ports/devel/geany-plugins/distinfo (new)
  1.1       +11 -0     ports/devel/geany-plugins/files/patch-wscript (new)
  1.1       +8 -0      ports/devel/geany-plugins/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"